Bug 806463 - django-1.4 released
django-1.4 released
Product: Fedora
Classification: Fedora
Component: Django (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
Depends On:
Blocks: 806614
  Show dependency treegraph
Reported: 2012-03-23 16:05 EDT by Matthias Runge
Modified: 2012-06-01 15:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-01 15:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for Django.spec file (2.27 KB, patch)
2012-03-26 04:16 EDT, Jos Vos
no flags Details | Diff

  None (edit)
Description Matthias Runge 2012-03-23 16:05:26 EDT

- Django-1.4 has a bundled jquery-1.4.2. 

- django also bundles simplejson (already unbundled in fedora)
Comment 1 Matthias Runge 2012-03-26 03:50:57 EDT
version 1.3.1 also bundled jquery-1.4.2, so the situation didn't change.

Afaik, there were some incompatible changes in jquery regarding event handling.
Comment 2 Matthias Runge 2012-03-26 03:58:14 EDT
also reported upstream: https://code.djangoproject.com/ticket/17982
Comment 3 Jos Vos 2012-03-26 04:16:34 EDT
Created attachment 572695 [details]
Patch for Django.spec file
Comment 4 Jos Vos 2012-03-26 04:24:57 EDT
FWIW, I made a quick (and dirty?) patch for the Django.spec file to make it work for 1.4 (attached to this bug).  This has been tested on F17, built with mock. The source URL is not matching the current situation, so this should also be adapted.

I don't know why the component is set to "python-django", as there doesn't exist such a package, only "Django".
Comment 5 Matěj Cepl 2012-03-26 04:30:22 EDT
Should I file a bug for some resolution of the EPEL-6 problem (which has now only unsupported 1.2)?
Comment 6 Bohuslav "Slavek" Kabrda 2012-03-26 04:31:56 EDT
(In reply to comment #4)
> P.S.
> I don't know why the component is set to "python-django", as there doesn't
> exist such a package, only "Django".

There has been a rename of django packages to python-django [1], which is currently still ongoing, but only in F18, so you won't find this package in F17.

[1] https://fedoraproject.org/wiki/User:Bkabrda/Django_rename
Comment 7 Matthias Runge 2012-03-26 04:32:58 EDT
Thank you for the patch. There's also a python-django-build for f18 in koji from salimma http://koji.fedoraproject.org/koji/buildinfo?buildID=309470

I guess, this should also work on f17

We're currently in the process of renaming [Dd]jango-packages to python-django-...
Thus, I reported the bug against fedora 18 / devel. The renamed packages are going into f18 (and later).

Django 1.3.1 is still supported by the django developers.
Comment 8 Matthias Runge 2012-03-26 04:34:25 EDT
(In reply to comment #5)
> Should I file a bug for some resolution of the EPEL-6 problem (which has now
> only unsupported 1.2)?

not necessary: https://bugzilla.redhat.com/show_bug.cgi?id=802153
Comment 9 Matthias Runge 2012-03-26 06:12:43 EDT
(In reply to comment #2)
> also reported upstream: https://code.djangoproject.com/ticket/17982

Comment from upstream: 

jQuery is used internally in the admin only and is properly namespaced as
 `django.jQuery`. Django relies on it as a library for some of the admin
 widgets, so unbundling would make using the Django admin much harder than
 it should be.

-> wontfix.
Comment 10 Matthias Runge 2012-06-01 15:22:54 EDT
django-1.4 is included currently in rawhide, and f17.

Note You need to log in before you can comment on or make changes to this bug.